---
##ams

  - name: Ordner tmp anlegen
    file:
      path: /home/jetty/tmp
      state: directory
      mode: '0755'
      owner: jetty
      group: dba
      
  - name: alten Verzeichnis rsAmsBvService-8.0.9.0 entfernen
    file: 
      path: /opt/rola/ams/linux/webclient-services/rsAmsBvService-8.0.9.0
      state: absent
      
  - name: altes Verzeichnis SharedComponents-8.0.9.0 entfernen
    file: 
      path: /opt/rola/ams/linux/webclient-services/SharedComponents-8.0.9.0
      state: absent
      
    
  - name: tar datei rsAmsBvService-8.0.9.0.tar.gz entpacken
    unarchive:
      src: /sw/AMS/WEB/Lieferung_0015_8.0.9.0_AMS_BBTA1_HF3_BV/0825120236_RS-95464_0015_8.0.9.0_AMS_BBTA1_HF3_BV/linux/webclient-services/rsAmsBvService-8.0.9.0.tar.gz
      dest: /opt/rola/ams/linux/webclient-services/
      remote_src: yes
      owner: jetty
      group: dba
      
  - name: tar datei SharedComponents-8.0.9.0.tar.gz entpacken
    unarchive:
      src: /sw/AMS/WEB/Lieferung_0015_8.0.9.0_AMS_BBTA1_HF3_BV/0825120236_RS-95464_0015_8.0.9.0_AMS_BBTA1_HF3_BV/linux/webclient-services/SharedComponents-8.0.9.0.tar.gz
      dest: /opt/rola/ams/linux/webclient-services/
      remote_src: yes
      owner: jetty
      group: dba
    
  - name: Template file rsAmsBvService.conf.j2 with owner and permissions 
    template:
      src: rsAmsBvService.conf.j2
      dest: /opt/rola/ams/linux/webclient-services/rsAmsBvService-8.0.9.0/service/config/rsAmsBvService.conf
      owner: jetty 
      group: dba
      mode: '0644'
    #notify:
      #- stopALL
      #- startALL
  - name: Template file tech.database.yaml.j2 with owner and permissions 
    template:
      src: tech.database.yaml.j2
      dest: /opt/rola/ams/linux/webclient-services/rsAmsBvService-8.0.9.0/frameworkconfig/prefs/tech.database.yaml
      owner: jetty 
      group: dba
      mode: '0644' 
    #notify:
      #- stopALL
      #- startALL
    
  

            
